/** Icons */
$icons: (
  create: 'plus-blue',
  export: 'download-blue',
  edit: 'edit-blue',
  delete: 'trash-red',
  search: 'search-white',
  search-gray: 'search-gray',
  arrow-right-white: 'chevron-right-white',
  arrow-right-blue: 'chevron-right-blue',
  arrow-down-white: 'chevron-down-white',
  arrow-down-gray: 'chevron-down-gray',
  calendar: 'calendar-gray',
  eye: 'eye',
  eye-off: 'eye-off',
  check: 'check-circle-white',
  alert: 'alert-octagon-white'
);

@each $key, $value in $icons {
  .icon-#{$key} {
    width: 16px;
    height: 16px;
    background-image: url('@/assets/icons/' + $value + '.svg');
    background-repeat: no-repeat;
    background-position: right;
    background-size: 16px 16px;
    box-shadow: none;
  }
}
.icons-column > a {
  margin-top: 4px;
  margin-bottom: 4px;
}

/** input 內 icon */
.icon-eye {
  @include icon-position(50px, 24px);

  cursor: pointer;
  &.active {
    background-image: url('@/assets/icons/eye-off.svg');
  }
}

.icon-calendar {
  @include icon-position(-8px, 18px);
}

.icon-search-gray {
  @include icon-position(16px, 24px);
}
